Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class UserGroupProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.UserGroupProperty

public class UserGroupProperty
extends ObjectProperty

An enumerated type used to describe the properties of User Groups in the portal. User Groups support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static UserGroupProperty` | `AuthName` The name of the Group in the original authentication directory.
`static UserGroupProperty` | `AuthSource` The ID of the Authentication Source with which this Group is associated.
`static UserGroupProperty` | `SimpleName` The simple display name for the Group.
`static UserGroupProperty` | `UniqueName` The unique name for the Group.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AuthSource

    public static final UserGroupProperty AuthSource

  The ID of the Authentication Source with which this Group is associated.

### AuthName

    public static final UserGroupProperty AuthName

  The name of the Group in the original authentication directory.

### SimpleName

    public static final UserGroupProperty SimpleName

  The simple display name for the Group.

### UniqueName

    public static final UserGroupProperty UniqueName

  The unique name for the Group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.